%global momorel 1

%define _with_gcj_support 1
%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

Name:          writer2latex
Version:       0.5.0.2
Release:       %{momorel}m%{?dist}
Summary:       Document Converter from ODT to LaTeX
License:       LGPLv2
Url:           http://writer2latex.sourceforge.net/
Source0:       http://dl.sourceforge.net/sourceforge/writer2latex/writer2latex0502.zip
NoSource:      0
Patch0:        writer2latex05-momonga.patch
BuildRequires: ant, openoffice.org-core
Group:         Applications/File
%if ! %{gcj_support}
Buildarch:     noarch
%endif
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      jaxp_parser_impl, jaxp_transform_impl

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
%endif

%description
Writer2LaTeX is a utility written in java. It converts OpenOffice.org documents
- in particular documents containing formulas - into other formats. It is
actually a collection of four converters, i.e.:
1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
   typesetting.
2) Writer2BibTeX extracts bibliographic data from a document and stores it in
   BibTeX format (works together with Writer2LaTeX).
3) Writer2xhtml converts documents into XHTML 1.0 or XHTML 1.1+MathML 2.0 with
   CSS2.
4) Calc2xhtml is a companion to Writer2xhtml that converts OOo Calc documents
   to XHTML 1.0 with CSS2 to display your spreadsheets on the web.

%package javadoc
Summary:     Javadoc for %{name}
Group:       Documentation

%description javadoc
Javadoc for %{name}.

%package -n openoffice.org-writer2latex
Summary:          OpenOffice.org Writer To LateX Converter
Group:            Applications/Productivity
Requires:         openoffice.org-core
Requires(pre):    openoffice.org-core
Requires(post):   openoffice.org-core
Requires(preun):  openoffice.org-core
Requires(postun): openoffice.org-core

%package -n openoffice.org-writer2xhtml
Summary:          OpenOffice.org Writer to xhtml Converter
Group:            Applications/Productivity
Requires:         openoffice.org-core
Requires(pre):    openoffice.org-core
Requires(post):   openoffice.org-core
Requires(preun):  openoffice.org-core
Requires(postun): openoffice.org-core

%description -n openoffice.org-writer2latex
Document Converter Extension for OpenOffice.org to provide 
LaTeX and BibTeX export filters.

%description -n openoffice.org-writer2xhtml
Document Converter Extension for OpenOffice.org to provide 
XHTML export filters.

%prep
%setup -q -n writer2latex05
%patch0 -p1 -b .momonga
sed -i -e "s#LIBDIR#%{_libdir}#" build.xml

%build
ant jar javadoc oxt

%install
rm -rf $RPM_BUILD_ROOT
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r target/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
pushd $RPM_BUILD_ROOT%{_javadocdir}
ln -s %{name}-%{version} %{name}
popd
# OOo extensions
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/writer2latex.oxt
unzip target/lib/writer2latex.oxt -d $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/writer2latex.oxt
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/writer2xhtml.oxt
unzip target/lib/writer2xhtml.oxt -d $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/writer2xhtml.oxt

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%pre -n openoffice.org-writer2latex
if [ $1 -gt 1 ]; then
    # Upgrade
    # => deregister extension with old name if it exists
    unopkg remove --shared org.openoffice.legacy.writer2latex.uno.pkg > /dev/null 2>&1 || :
    # => deregister extension with new name if it exists
    unopkg remove --shared org.openoffice.da.writer2latex.oxt > /dev/null 2>&1 || :
fi

%post -n openoffice.org-writer2latex
    # register extension
    unopkg add --shared --force %{_datadir}/openoffice.org/extensions/writer2latex.oxt || :

%preun -n openoffice.org-writer2latex
if [ $1 -eq 0 ]; then
    # not upgrading => deregister
    unopkg remove --shared org.openoffice.da.writer2latex.oxt || :
fi

%postun -n openoffice.org-writer2latex
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || :

%pre -n openoffice.org-writer2xhtml
if [ $1 -gt 1 ]; then
    # Upgrade => deregister old extension
    unopkg remove --shared org.openoffice.da.writer2xhtml.oxt || :
fi

%post -n openoffice.org-writer2xhtml
    # register extension
    unopkg add --shared --force %{_datadir}/openoffice.org/extensions/writer2xhtml.oxt || :

%preun -n openoffice.org-writer2xhtml
if [ $1 -eq 0 ]; then
    # not upgrading => deregister
    unopkg remove --shared org.openoffice.da.writer2xhtml.oxt || :
fi

%postun -n openoffice.org-writer2xhtml
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || :

%files
%defattr(0644,root,root,0755)
%doc COPYING.TXT Readme.txt History.txt
%{_javadir}/*
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}

%files -n openoffice.org-writer2latex
%defattr(0644,root,root,0755)
%{_datadir}/openoffice.org/extensions/writer2latex.oxt

%files -n openoffice.org-writer2xhtml
%defattr(0644,root,root,0755)
%{_datadir}/openoffice.org/extensions/writer2xhtml.oxt

%changelog
* Tue Jun  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0.2-1m)
- sync with Fedora 11 (0.5.0.2-6) and momonganize for OOo2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5-2m)
- rebuild against rpm-4.6

* Wed May 28 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5-1m)
- import to Momonga from Fedora

* Wed Mar 26 2008 Caolan McNamara <caolanm@redhat.com> 0.5-3
- tweak for guidelines

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5-2
- Autorebuild for GCC 4.3

* Sun Dec 1 2007 Caolan McNamara <caolanm@redhat.com> 0.5-1
- initial version
